<link href="<?php echo base_url()."assets/" ?>fa-picker/dist/css/fontawesome-iconpicker.min.css" rel="stylesheet">
<script src="<?php echo base_url()."assets/" ?>fa-picker/dist/js/fontawesome-iconpicker.min.js"></script>
<!-- Widget ID (each widget will need unique ID)-->
<div class="jarviswidget" id="wid-id-6" data-widget-editbutton="false" data-widget-custombutton="false" data-widget-deletebutton="false">
	<!-- widget options:
		usage: <div class="jarviswidget" id="wid-id-0" data-widget-editbutton="false">
		
		data-widget-colorbutton="false"	
		data-widget-editbutton="false"
		data-widget-togglebutton="false"
		data-widget-deletebutton="false"
		data-widget-fullscreenbutton="false"
		data-widget-custombutton="false"
		data-widget-collapsed="true" 
		data-widget-sortable="false"
		
	-->
	<header>
		<span class="widget-icon"> <i class="fa fa-edit"></i> </span>
		<h2>Menu Management</h2>				
		
	</header>

	<!-- widget div-->
	<div>
		
		<!-- widget edit box -->
		<div class="jarviswidget-editbox">
			<!-- This area used as dropdown edit box -->
			
		</div>
		<!-- end widget edit box -->
		
		<!-- widget content -->
		<div class="widget-body no-padding">
			
			<form action="<?php echo @$action; ?>" method="post" id="role-form" class="smart-form">
				<header>
					<?php echo $header; ?>
				</header>

				<fieldset>
					<div class="row">
						<section class="col col-2">
							<label class="label">Menu Name</label>
							<label class="input"> 
								<input id="menu_id" type="hidden" name ="menu_id" value="<?php echo @$menu_id; ?>" />
								<input id="menu_name" type="text" name="menu_name"  value="<?php echo @$menu_name; ?>" autocomplete="off" />
							</label>
						</section>
						<section class="col col-2">
							<label class="label">Module Name</label>
							<label class="input">
								<input id="module_name" type="text" name="module_name"  value="<?php echo @$module_name; ?>" autocomplete="off" />		
							</label>
						</section>
						<section class="col col-2">
							<label class="label">Type Menu</label>
							<?php echo @$type_menu; ?>		
						</section>
						<section class="col col-2">
							<label class="label">Sequence Number</label>
							<label class="input"> 
								<input id="seq_number" type="text" name="seq_number"  value="<?php echo @$seq_number; ?>" autocomplete="off" />
							</label>
						</section>	
					</div>
					<div class="row">
						<section class="col col-3">
							<label class="label">Parent Menu</label>
							<div id="block_parent" >
								<label class="select">
									<select name="parent_id">
										<option value="">--Select--</option>
										<?php echo @$parent_id; ?>		
									</select> <i></i> 
								</label>
							</div>		
						</section>
						<section class="col col-2">
							<label class="label">Menu Icon</label>
							<div id="block_icon" >
								<label class="input">
									<?php echo @$menu_icon; ?>		
								</label>
							</div>		
						</section>
					</div>
					
				</fieldset>

				<footer>
					<button type="submit" name="submit" id="myBtn" class="btn btn-primary" value="<?php echo $submit; ?>" onclick="buttonDis()">
						Save
					</button>
					<button type="reset" id="cancel_create" name="cancel" class="btn btn-default" >
						Batal
					</button>
				</footer>

				<div class="message">
					<i class="fa fa-check fa-lg"></i>
					<p>
						Your comment was successfully added!
					</p>
				</div>
			</form>
			
		</div>
		<!-- end widget content -->
		
	</div>
	<!-- end widget div -->
				
</div>
<!-- end widget -->

<script type="text/javascript">

	function buttonDis() {
		document.getElementById("myBtn").style.visibility="hidden";
	}
	
	function get_parent(type_menu) {
		
		$.ajax({
			type:"POST",
			dataType: "html",
			beforeSend : function() {
				$("#block_parent").html('Populating data, please wait..');
			},
			url:"<?php echo site_url('/') . $controller . '/get_parent'; ?>",
			data : "type_menu="+type_menu,
			success:function(msg){
				$("#block_parent").html(msg);			
			},
			error:function(){
				alert("Load failed");
			}
		});	
	}
	
	function get_icon(type_menu) {
		
		$.ajax({
			type:"POST",
			dataType: "html",
			beforeSend : function() {
				$("#block_icon").html('Populating data, please wait..');
			},
			url:"<?php echo site_url('/') . $controller . '/get_icon'; ?>",
			data : "type_menu="+type_menu,
			success:function(msg){
				$("#block_icon").html(msg);			
			},
			error:function(){
				alert("Load failed");
			}
		});
		
	}
		
	
	$(function() {
		
		//icon picker
		//$('.icp-auto').iconpicker();
		
		//cancel form
		alert_cancel = 'Are You Sure to cancel this form ?';
		$('#cancel_create').on('click', function () {
			if (confirm(alert_cancel)) {
				window.location.href = "<?php echo site_url('/').'home#'.$controller; ?>";
			}
		});
		
		
		// Validation
		$("#role-form").validate({
			// Rules for form validation
			rules : {
				menu_name : {
					required : true
					/*remote	 : {
						url		: "<?php echo base_url();?>index.php/adm_tahun_ajaran/cek_tahun_ajaran",
						type	: "POST",
						data: {
							tahun_ajaran: function() {
								return $("#tahun_ajaran").val();
							}
						}
					}*/	
					//remote : '<?php echo base_url();?>index.php/login/cek_user'		
				},
				module_name : {
					required : true
				},
				type_menu : {
					required : true
				}
			},
			
			submitHandler : function(form) {
				
				$(form).ajaxSubmit({
					/* beforeSubmit: function() {
						$("#hiddenElement").val("false");
						$("#cancel").attr("disabled","disabled");
						$("#button_id").attr("disabled","disabled");
						//$("button[type=submit]").append('<i class="fa fa-gear fa-1x fa-spin"></i>');
						$("#button_id").append('<i class="fa fa-gear fa-1x fa-spin">');
					}, */
					dataType: 'json',
					success : function(msg) {
						window.location.hash = base_url + 'index.php/<?php echo $controller; ?>/';
						/* if (msg.msg == "noauth") {
							window.location = base_url;
						}
						else if (msg.error == true) {
							write_error_html(msg.field);
							
							//button manipulating
							$("#hiddenElement").val("true");
							$(".fa-spin").remove();
							$("#cancel").removeAttr("disabled");
							$("#button_id").removeAttr("disabled");
						} else {
							window.location.hash = base_url + 'create_agent/';
						} */
					}
				});
				
			},

			// Messages for form validation
			messages : {
				menu_name : {
					required : 'Menu Name Tidak Boleh Kosong'
						
				},
				module_name : {
					required : 'Nama Module Tidak Boleh Kosong'
				},
				type_menu : {
					required : 'Pilih Type Menu'
				}
			},

			// Do not change code below
			errorPlacement : function(error, element) {
				error.insertAfter(element.parent());
			}
		});
	});
</script>